<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Seacrh with dropdown</title>
    <link rel="stylesheet" href="search_style.css" />
  </head>
  <body>
    <div class="container">
      <form action="#" class="expanding-search-form">
        <div class="form-group">
          <div class="search-input">
            <input class="search-input" type="search" placeholder="Search" />
          </div>

          <div class="search-dropdown">
            <div class="dropdown-menu">
              <div class="dropdown-menu__trigger">
                <span>Tesla</span>
                <div class="arrow"></div>
              </div>
              <div class="dropdown-options">
                <span class="dropdown-option selected" data-value="tesla"
                  >Tesla</span
                >
                <span class="dropdown-option" data-value="volvo">Volvo</span>
                <span class="dropdown-option" data-value="mercedes"
                  >Mercedes</span
                >
              </div>
            </div>
          </div>

          <button class="search-button" type="button">
            <span class="icon ion-search">Search </span>
          </button>
        </div>
      </form>
    </div>

    <script>
      // Event Listener lister user click
      document
        .querySelector(".search-dropdown")
        .addEventListener("click", function () {
          this.querySelector(".dropdown-menu").classList.toggle("open");
        });

      // lister which user choose.
      for (const option of document.querySelectorAll(".custom-option")) {
        option.addEventListener("click", function () {
          if (!this.classList.contains("selected")) {
            this.parentNode
              .querySelector(".custom-option.selected")
              .classList.remove("selected");
            this.classList.add("selected");
            this.closest(".dropdown-menu").querySelector(
              ".dropdown-menu__trigger span"
            ).textContent = this.textContent;
          }
        });
      }

      //   if user click click outside will auto close
      window.addEventListener("click", function (e) {
        const select = document.querySelector(".dropdown-menu");
        if (!select.contains(e.target)) {
          select.classList.remove("open");
        }
      });
    </script>
  </body>
</html>
